body {
    font-family: "Montserrat", sans-serif;
}

/* #003366 and  #cc7a00. */

.navbar-custom {
    background-color: #fff;
    position: fixed;
    width: 100%;
    top: 0px;
    z-index: 30;
    box-shadow: 0px 10px 15px -3px rgba(0, 0, 0, 0.1);
}

.navbar-custom button.navbar-toggler {
    border: none !important;
    background: transparent !important;
}

.navbar-toggler:focus:not(:focus-visible) {
    outline: none;
    box-shadow: none !important;
}
.navbar-brand {
    color: white;
    font-weight: bold;
}

.nav-center-links {
    display: flex;
    justify-content: center;
    flex-grow: 1;
}

.logo-text {
    font-size: 1.5rem;
    font-weight: bold;
    font-family: sans-serif;
}

.logo-j {
    color: #cc7a00;
}

.logo-apartment {
    color: #003366;
}

.navbar-nav .nav-link {
    color: #003366;
    transition: background-color 0.3s ease;
    padding: 0.5rem 1rem;
    border-radius: 0.25rem;
}

.navbar-nav .nav-link:hover {
    color: #cc7a00;
    transition: 500ms ease-in;
}
.nav-menu-list {
    padding: 10px 0px;
    justify-content: center;
    align-items: center;
}
.nav-menu-list .icon-list {
    margin-left: 20px;
    margin-bottom: 30px;
}

.nav-menu-list a:not(.btn-sign) i {
    color: #003366;
}
.nav-menu-list a i:hover {
    color: #cc7a00;
    transition: 500ms ease-in;
}
.btn-sign {
    background-color: #cc7a00;
    color: white;
    border: none;
    padding: 0.5rem 1rem;
    border-radius: 0.25rem;
    transition: background-color 0.3s ease, color 0.3s ease;
    text-decoration: none;
    border: 1px solid #cc7a00;
}

.nav-menu-list .btn-sign:hover {
    background-color: transparent;
    border: 1px solid #cc7a00;
    color: #cc7a00 !important;
}

/* ============ Pointer animation */
.pointer-animation {
    position: fixed;
    width: 100%;
    display: flex;
    justify-content: end;
    align-items: end;
    display: none;
    z-index: 60;
    transform: translateX(-40px);
}
.pointer-animation .box {
    align-self: flex-end;
}

@keyframes bounce {
    0%,
    100% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-10px);
    }
}

.pointer-animation.fade-out {
    opacity: 0;
    pointer-events: none;
}

@media (min-width: 576px) {
    .btn-sign {
        margin-left: 20px;
    }
}

/* ==================================== NAVBAR END */

#intro-container {
    position: relative;
    height: 120vh;
    top: 60px;
}

.reservation-container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    max-width: 1200px;
    width: 80%;
}

.reservation-form {
    padding: 2rem;
    background: rgba(255, 255, 255, 0.9);
    border-radius: 10px;
    box-shadow: -6px 17px 15px 16px rgba(0, 0, 0, 0.1);
    width: 100%;
    margin-top: 20px;
}
.reservation-form label{
    font-size: 12px;
}
.reservation-form input{
    font-size: 12px;
}
.reservation-form select{
    font-size: 12px;
}
.reservation-form input::placeholder{
    font-size: 12px;
}
.reservation-form input:focus {
    border: none !important;
    background: transparent !important;
    outline: none !important;
}

.reservation-container .heading-content {
    text-align: center;
    font-weight: bold;
}
.reservation-container .heading-content h3 {
    font-size: 35px;
    color: #cc7a00;
    font-weight: 900;
}
.reservation-container .heading-content h2 {
    font-size: 28px;
    color: #fff;
}

.reservation-container .btn-submit {
    background-color: #003366;
    color: white;
}

.banner-container,
.owl-carousel.banner-container .item,
.bannerimage,
.bannerimage img {
    height: 120vh;
    width: 100%;
    object-fit: cover;
}

.bannerimage::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: rgba(0, 0, 0, 0.3);
    z-index: 1;
}

.bannerimage {
    position: relative;
    z-index: 0;
}

.fadeOut.owl-carousel {
    z-index: 0;
}

.intro-container .owl-carousel .owl-nav button {
    position: absolute;
    width: 150px;
    top: 0;
    height: 100%;
    border: none;
    outline: none;
    background-color: none !important;
    text-indent: -9999px;
    z-index: 999;
    cursor: pointer;
}
.intro-container .carousel-control:hover {
    background-color: none !important;
}
.intro-container .owl-carousel .owl-nav button:before {
    content: "";
    position: absolute;
    display: block;
    width: 15px;
    height: 15px;
    top: 50%;
    margin-top: -19px;
    -webkit-transition: all, 0.3s, cubic-bezier(0.55, 0, 0.1, 1) 1s ease-in-out;
    -khtml-transition: all, 0.3s, cubic-bezier(0.55, 0, 0.1, 1) 1s ease-in-out;
    -moz-transition: all, 0.3s, cubic-bezier(0.55, 0, 0.1, 1) 1s ease-in-out;
    -ms-transition: all, 0.3s, cubic-bezier(0.55, 0, 0.1, 1) 1s ease-in-out;
    -o-transition: all, 0.3s, cubic-bezier(0.55, 0, 0.1, 1) 1s ease-in-out;
    transition: all, 0.3s, cubic-bezier(0.55, 0, 0.1, 1) 1s ease-in-out;
}

.intro-container .owl-carousel .owl-nav button.owl-prev {
    left: 0;
    background: none !important;
}
.intro-container .owl-carousel .owl-nav button.owl-prev:before {
    border-top: 2px solid white;
    border-left: 2px solid white;
    left: 30px;
    -webkit-transform: rotate(-45deg);
    -khtml-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    transform: rotate(-45deg);
}
.intro-container .owl-carousel .owl-nav button.owl-prev:after {
    left: 200px;
}
.intro-container .owl-carousel .owl-nav button.owl-prev:hover:before {
    left: 70px;
}
.intro-container .owl-carousel .owl-nav button.owl-prev:hover:after {
    left: 0px;
    opacity: 1;
    width: 70px;
}
.intro-container .owl-carousel .owl-nav button.owl-next {
    right: 0;
    background: none !important;
}
.intro-container .owl-carousel .owl-nav button.owl-next:before {
    border-bottom: 2px solid white;
    border-right: 2px solid white;
    right: 30px;
    -webkit-transform: rotate(-45deg);
    -khtml-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    transform: rotate(-45deg);
}
.intro-container .owl-carousel .owl-nav button.owl-next:after {
    right: 200px;
}
.intro-container .owl-carousel .owl-nav button.owl-next:hover:before {
    right: 70px;
}
.intro-container .owl-carousel .owl-nav button.owl-next:hover:after {
    right: 63px;
    opacity: 1;
    width: 70px;
}

.intro-container .banner-container.owl-carousel .owl-nav button {
    display: none;
}

/* Keyframes for zoom-in */
@keyframes zoomIn {
    0% {
        transform: scale(1);
    }
    100% {
        transform: scale(1.1);
    }
}

.banner-container .owl-item.active .bannerimage img {
    animation: zoomIn 5s ease-in-out forwards;
    transform-origin: center center;
}
/*=== Slider End ===*/

/* ===============Home About Section */
#about-section {
    position: relative;
    top: 60px;
}
.section-title {
    padding: 0 1rem;
    color: #003366;
}

.line-top,
.line-bottom {
    height: 3px;
    background-color: #cc7a00;
    border: none;
    width: 80px;
    margin: 0 auto;
    width: 40%;
}

.line-top {
    margin-bottom: 10px;
}

.line-bottom {
    margin-top: 10px;
}

.about-description {
    max-width: 600px;
    font-size: 1.1rem;
    color: #555;
}

/* ===============Home About Section */

.offer-card {
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.offer-card img {
    max-width: 100%;
    width: 50px;
    height: 50px;
}

.offer-card:hover {
    transform: scale(1.05);
    box-shadow: 0 8px 24px rgba(0, 0, 0, 0.1);
}

.underline {
    width: 50px;
    height: 3px;
    background-color: #cc7a00;
    border: none;
    margin: 10px auto;
}

/* Gallery  */

.gallery-img {
    cursor: pointer;
    transition: transform 0.3s ease;
}

.gallery-carousel .item {
    position: relative;
    overflow: hidden;
    border-radius: 10px;
    height: 250px;
    background: #f5f5f5;
    display: flex;
    align-items: center;
    justify-content: center;
}

.gallery-carousel .item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.4s ease;
    border-radius: 10px;
}

.gallery-carousel .item img:hover {
    transform: scale(1.05);
}

.gallery-container .btn-gallery {
    background-color: #003366;
    color: #fff;
}

/* =========================Testimonial */

#testimonial-carousel.owl-carousel .owl-nav {
    position: absolute;
    top: 50%;
    width: 100%;
    transform: translateY(-50%);
    display: flex;
    justify-content: space-between;
    pointer-events: none;
    z-index: 10;
    display: none;
}

#testimonial-carousel.owl-carousel .owl-nav button.owl-prev,
#testimonial-carousel.owl-carousel .owl-nav button.owl-next {
    background-color: #ffffff;
    border: none;
    padding: 10px 15px;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    color: #000;
    font-size: 1.25rem;
    transition: all 0.3s ease;
    pointer-events: all;
}

#testimonial-carousel.owl-carousel .owl-nav button.owl-prev:hover,
#testimonial-carousel.owl-carousel .owl-nav button.owl-next:hover {
    color: #ffffff;
    background-color: #003366;
}

/* ============================  FOOTER */

.custom-footer {
    background-color: #fff;
    padding: 40px 0;
}

.footer-logo {
    max-width: 150px;
}

.footer-about-text {
    margin-bottom: 20px;
    line-height: 1.6;
}

.footer-social-icon {
    font-size: 1.5rem;
    margin-right: 15px;
    color: #003366;
    transition: color 0.3s ease-in-out;
}

.footer-social-icon:hover {
    color: #cc7a00;
}

.footer-heading {
    color: #003366;
    margin-bottom: 20px;
    font-weight: bold;
}
.Listing img {
    height: 70px;
    object-fit: cover;
}

.footer-listing-title {
    font-size: 0.9rem;
    font-weight: bold;
    margin-bottom: 5px;
}

.footer-listing-location,
.footer-listing-price {
    font-size: 0.8rem;
    margin-bottom: 3px;
}

.footer-contact-info {
    /* color: #003366; */
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.footer-contact-icon {
    font-size: 1rem;
    margin-right: 10px;
    color: #cc7a00;
}

.footer-address {
    /* color: #555; */
    line-height: 1.6;
}

.footer-divider {
    border-top: 1px solid #eeeeee5e;
    margin-top: 30px;
    margin-bottom: 20px;
}

.footer-copyright {
    color: #777;
    font-size: 0.8rem;
    padding-top: 10px;
}

/* ==================Footer  */

/* Go to Top Button Styles */
.go-to-top {
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-color: #003366;
    color: white;
    border: none;
    border-radius: 5px;
    padding: 5px 10px;
    cursor: pointer;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease-in-out, visibility 0.3s ease-in-out;
    z-index: 1000;
}

.go-to-top:hover {
    background-color: #cc7a00;
}

.go-to-top.show {
    opacity: 1;
    visibility: visible;
}

/* Whatsapp */
.whatsapp-float {
    position: fixed;
    bottom: 60px;
    right: 20px;
    background-color: #25d366;
    color: white;
    font-size: 28px;
    padding: 8px;
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;

    border-radius: 50%;
    z-index: 1000;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
    transition: all 0.3s ease;
}
.whatsapp-float:hover {
    background-color: #20c659;
    transform: scale(1.1);
}

/* =============================COntact Page */

.rental-banner {
    padding: 80px 0;
    padding-top: 120px;
    text-align: center;
    background-image: url("../images/banner-3.jpeg");
    background-size: cover;
    background-position: center;
    color: #fff;
}

.rental-banner::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 51, 102, 0.7);
    z-index: 0;
}

.rental-banner > * {
    position: relative;
    z-index: 1;
}

.rental-banner-title {
    font-size: 2rem;
    margin-bottom: 15px;
    margin-top: 35px;
}

.breadcrumb {
    background-color: transparent;
    padding: 0;
    margin-bottom: 0;
    justify-content: center;
}

.breadcrumb-item a {
    text-decoration: none;
    color: #fff;
}

.breadcrumb-item.active {
    color: #cc7a00;
}

/* ====================== Info area */

.info-card {
    background-color: #fff;
    border: 1px solid #e0e0e0;
    border-radius: 8px;
    display: flex;
    gap: 10px;
    padding: 30px 30px;
    height: 250px;
    margin: 20px 0px;
}

.info-card-icon {
    color: #fff;
    margin-right: 10px;
    padding: 10px;
    width: 50px;
    height: 50px;
    text-align: center;
    border-radius: 50%;
    background-color: #cc7a00;
    align-self: self-start;
}
.info-card-icon i {
    font-size: 20px;
}

.info-card-title {
    font-size: 1.5rem;
    color: #003366;
    margin-bottom: 10px;
}

.info-card-text {
    color: #555;
    line-height: 1.6;
    margin-bottom: 8px;
}

/* ================================ Map Section */

.map-section {
    padding: 40px 0;
    background-color: #f8f9fa;
}

.map-container {
    position: relative;
    width: 100%;
    padding-bottom: 75%;
    overflow: hidden;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.map-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 0;
}

/* ============================================ Gallery Page */
.gallery-section {
    padding: 40px 0;
    background-color: #f8f9fa;
}

.nav-tabs .nav-link {
    color: #003366;
    border: none;
    border-bottom: 2px solid transparent;
    margin-right: 15px;
    padding: 10px 50px;
}

.nav-tabs .nav-link.active {
    color: #cc7a00;
    border-bottom: 2px solid #cc7a00;
}

.gallery-item {
    margin-bottom: 20px;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    cursor: pointer;
}
.gallery-item img {
    height: 50vh;
}

.gallery-item img {
    width: 100%;
    display: block;
}

.video-container {
    position: relative;
    width: 100%;
    /* height: 100; */
    padding-bottom: 56.25%; /* 16:9 aspect ratio */
    height: 0;
    overflow: hidden;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.video-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/* Modal Styling */
.modal-header {
    text-align: center;
}

.modal-title {
    color: #003366;
    text-align: center;
    font-size: 17px;
}

.modal-dialog-centered {
    max-width: 80%;
    margin: 0 auto;
}

.modal-content {
    border-radius: 8px;
    max-width: 500px;
    margin: 0 auto;
}

.modal-body {
    padding: 20px;
    text-align: center;
}

.modal-body img {
    max-width: 100%;
    height: auto;
}

@media (min-width: 768px) {
    #intro-container {
        height: 120vh;
    }

    .banner-container,
    .owl-carousel.banner-container .item,
    .bannerimage,
    .bannerimage img {
        height: 120vh;
    }

    .custom-nav {
        display: flex !important;
    }

    #testimonial-carousel.owl-carousel .owl-nav {
        display: flex;
    }
}

@media screen and (min-width: 968px) {
    .video-container iframe {
        width: 100%;
        height: 100%;
    }

    .rental-banner-title {
        font-size: 3rem;
    }
}

@media (min-width: 1000px) {
    #intro-container {
        top: 0px;
    }

    #about-section {
        position: relative;
        top: 0px;
    }
}

@media (min-width: 1024px) {
    .nav-menu-list .icon-list {
        margin-left: 20px;
        margin-bottom: 0px;
    }
    .intro-container .banner-container.owl-carousel .owl-nav button {
        display: block;
    }
    .pointer-animation {
        display: block;
    }

    #intro-container {
        height: 105vh;
    }

    .banner-container,
    .owl-carousel.banner-container .item,
    .bannerimage,
    .bannerimage img {
        height: 105vh;
    }

    .rental-banner {
        padding-top: 160px;
    }
}
@media (min-width: 1440px) {
    #intro-container {
        height: 85vh;
    }

    .banner-container,
    .owl-carousel.banner-container .item,
    .bannerimage,
    .bannerimage img {
        height: 85vh;
    }
}

/* Floating Botton */
/* Floating button styling */
.floating-btn{
  display: none;
}
@media (max-width: 750px) {
    .reservation-form #reservation-heading{
        display: block !important;
        margin-bottom: 2rem;
    }
    .reservation-form #reservation-heading h4{
        display: inline;
    }
    .reservation-form #reservation-heading small{
        display: block;
    }
    .reservation-form label input{
        width: auto !important;
    }
    .floating-btn {
        position: fixed;
        bottom: 20px; /* Adjust this value as needed for spacing from the bottom */
        left: 50%;
        transform: translateX(-50%);
        background-color: #003366;
        color: white;
        border: none;
        max-width: 100%;
        font-size: 16px;
        cursor: pointer;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.3);
        display: flex;
        align-items: center;
        justify-content: center;
        z-index: 1000;
        transition: 500ms;
    }

    /* Optional: Hover effect */
    .floating-btn:hover {
        background-color: #cc7a00;
        color: #fff;
    }
}
